Issue 107230 - Add Papiamentu [pap-AN, pap-AW] to language list
Add Papiamentu [pap-AN, pap-AW] to language list
Status: VERIFIED FIXED
Product: Internationalization
Classification: Code
Component: i18npool
current
All All
: P3 trivial (vote)
: ---
Assigned To: stefan.baltzer
issues@l10n
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 11:59 UTC by acesuares
Modified: 2013-08-07 15:02 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description acesuares 2009-11-26 11:59:15 UTC
Request to add two languages to the list in Tools->Languages

Papiamentu (pap_AN)
Papiamento (pap_AW)

We are publishing an extention for a spellchekcer in pap_AN (Papiamentu) and it
works but Papiamentu (pap_AN) is not in the list of Languages.

IF there is a way to edit a configurations file for OOo, please tell me so I can
run a test version locally (without compiling).
Comment 1 ooo 2009-11-26 13:49:43 UTC
No, there is no configuration for available languages, the language list entries
are string resources, MS-LangIDs are defines and the mapping from ISO codes to
MS-LangIDs and back are tables in the source code.

I'm taking this issue as a request to add the necessary entries to the
language list box, IDs and ISO code mappings.

Adding a language to the language list box makes it available for
character attribution and spell-checking. Availability of spell checker,
hyphenation and thesaurus of course depends on the installed
dictionaries. To be able to fully support it as a locale, including
number formats and calendar data, and having it selectable as default
document language we would need a locale data file.

For how to submit locale data please see
http://wiki.services.openoffice.org/wiki/How_to_submit_new_Locale_Data

Thanks
  Eike
Comment 2 ooo 2009-11-26 13:50:37 UTC
Notes to myself:

The language list entries will be

Papiamentu (Netherlands Antilles)
Papiamentu (Aruba)

pap-AN already has an MS-LangID assigned,
#define LANGUAGE_PAPIAMENTU                 0x0479

pap-AW will probably be
#define LANGUAGE_PAPIAMENTU_ARUBA           0x8079
need to check against MS tables whether it still isn't defined.
Comment 3 acesuares 2009-11-26 14:13:50 UTC
Please be advised that Curacao will seperate form the Netherlands Antilles, and
hence might get a new country code in oktober 2010 (we will see).

Currently, pap is defined as papiamento (not -u) in the ISO tables.

To be really correct, I think the list should be:

Papiamentu (Netherlands Antilles)
Papiamento (Aruba)

(so, an -o for Aruba and an -u for Netherlands Antilles).

thx




Comment 4 acesuares 2010-01-11 12:31:09 UTC
It looks like someone (not me, it think) already made a local for Papiamentu,
see http://www.it46.se/localegen/locale/1215984927_pap_AN.xml

I have no idea if this is a correct locale. 

Do I need to do something (submitting) or is this already submitted within OOo?

Can I already test a OOo version where the new language codes are availbale???

Cheers,
ace
Comment 5 erack 2010-02-21 15:51:31 UTC
In cws locales33:

changeset 0220fc915770
http://hg.services.openoffice.org/cws/locales33/changeset/0220fc915770
M i18npool/inc/i18npool/lang.h
M i18npool/source/isolang/isolang.cxx
M svtools/source/misc/langtab.src

You can observe the progress and possible integration date of CWS locales33 at
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Flocales33

#define LANGUAGE_PAPIAMENTU                 0x0479
pap-AN, "Papiamentu (Netherlands Antilles)"

#define LANGUAGE_USER_PAPIAMENTU_ARUBA      0x8079
pap-AW, "Papiamento (Aruba)"


Can't say much about the quality of the locale data mentioned above. Test
compiling it gave

Warning: Time100SecSeparator is different from DecimalSeparator, this may be
correct or not. Intended?
Warning: Don't forget to adapt corresponding FormatCode elements when changing
separators.
Warning: FormatCode formatindex="12" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative
amounts, which probably is not correct for locales not based on en_US.
Warning: ReservedWord trueWord seems to be untranslated "true".
Warning: ReservedWord falseWord seems to be untranslated "false".

Other ReservedWord elements are also not translated.
Comment 6 acesuares 2010-02-21 16:18:08 UTC
I would really like to help fix the locale. It's important to know that we need
a different local for pap-AN and pap-AW (for instance the days in Papiamentu
start with 'dia' and in Papiamento they start with 'dja'...)

So I'd love to find a way to fix it. The XML is not the problem; the meaning of
all the items is. Is there a mentor available who can help me and guide me
through that file? It's not a lot of work. I'd really appreciate it if someone
with thorough understanding of the file can help me.

BTW Thank you for moving this issue forward.
Comment 7 erack 2010-02-21 20:42:21 UTC
See comments in the DTD file,
http://hg.services.openoffice.org/cws/locales33/file/tip/i18npool/source/localedata/data/locale.dtd

If you need additional help please join the dev@l10n.openoffice.org mailing
list, mailto:dev-subscribe@l10n.openoffice.org to subscribe and follow instructions
in the confirmation mail that will be sent to you.

Thanks
  Eike
Comment 8 ooo 2010-03-06 00:14:27 UTC
Reassigning to QA for verification.
Comment 9 stefan.baltzer 2010-03-12 15:03:15 UTC
Verified inCWS locales33.
Comment 10 acesuares 2011-05-20 15:36:33 UTC
Dear people,

I have before me OpenOffice.org 3.3.0
OOO330m20 Build 9567

But I can't choose Papiamentu or Papiamento from the list.

What am I doing wrong?